Unable to cancel VisualEditor **instantaneously** when I click on "edit" by accident
Closed, ResolvedPublic1 Story Points

Description

When I hit the "edit source" by accident, I can just press ESC and I'll stay exactly in the page where I am, without changing anything (not even scrolling the page). However, if I accidentally click on "edit", I can't stop the process which loads VisualEditor.

I reminded this problem while reading comments on T102398: Migrate wikis to use a single edit tab which has both visual and wikitext modes and allows on-the-fly switching between them.

He7d3r created this task.Nov 1 2015, 2:29 PM
He7d3r updated the task description. (Show Details)
He7d3r raised the priority of this task from to Needs Triage.
He7d3r added a project: VisualEditor.
He7d3r added a subscriber: He7d3r.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 1 2015, 2:29 PM
Elitre added a subscriber: Elitre.Nov 1 2015, 4:41 PM

What browser aborts clicks with Escape? Mine doesn't.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 3 2015, 8:10 PM
Jdforrester-WMF changed the task status from Open to Stalled.Nov 3 2015, 8:10 PM
Jdforrester-WMF triaged this task as Lowest priority.
Jdforrester-WMF set Security to None.
He7d3r added a comment.Nov 3 2015, 8:32 PM

Firefox 41.0.2, Google Chrome 46.0.2490.80 (64-bit) and Opera 33.0
(I tested all of them on Debian)

Jdforrester-WMF changed the task status from Stalled to Open.Nov 3 2015, 8:38 PM

Aha, interesting, the link I tested must have been a JS one. "Real" link navigation does indeed get terminated by Escape. How curious.

Change 382158 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Abort loading when 'escape' is pressed

https://gerrit.wikimedia.org/r/382158

Jdforrester-WMF closed this task as Resolved.Oct 4 2017, 3:28 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from Freezer to TR1: Releases on the VisualEditor board.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 4 2017, 3:28 PM

Change 382158 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Abort loading when 'escape' is pressed

https://gerrit.wikimedia.org/r/382158